package imc;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Imc extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            
            String pesoT = request.getParameter("peso");
            pesoT = pesoT.replaceAll(",",".");
            String alturaT = request.getParameter("altura");
            alturaT = alturaT.replaceAll(",",".");
            
            double peso = Double.valueOf(pesoT);
            double altura = Double.valueOf(alturaT);
            
            Double imc = peso / (altura * altura);
            request.setAttribute("imc",imc);
    
            RequestDispatcher rd;
            rd = request.getRequestDispatcher("/ImcView");
            rd.forward(request, response);
            return;
            
        } catch(Exception e) {
            RequestDispatcher rd;
            rd = request.getRequestDispatcher("/ImcError");
            rd.forward(request, response);
            return;
        } finally {            
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.sendRedirect("/WProjeto1/index.jsp");
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
